#### D.12.1.8 ask

Procedure from library `aksaka.lib` (see aksaka_lib).

Usage:
  ask(n);

Assume:
  n>1

Return:
  0 if n is composite;
  1 if n is prime;
  if printlevel>=1, you are informed what the procedure will do or has calculated

Note:
  ASK-algorithm; uses proc powerpolyX for step 5

Example:

    LIB "aksaka.lib";
    //ask(100003);
    ask(32003);
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.